## nom.tam.fits
Class ImageData

    java.lang.Object
      nom.tam.fits.Data
          nom.tam.fits.ImageData

public class ImageData
extends Data

This class instantiates FITS primary HDU and IMAGE extension data. Essentially these data are a primitive multi-dimensional array.

Field Summary

Fields inherited from class nom.tam.fits.Data
`dataArray`

Constructor Summary
`ImageData()` Create the equivalent of a null data element.
`ImageData(Header h)` Create an array from a header description.
`ImageData(Object x)` Create an ImageData object using the specified object to initialize the data array.

Methods inherited from class nom.tam.fits.Data
`getData, getPaddedSize, getPadding, getTrueSize, read, readTrueData, write, writeTrueData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageData

    public ImageData(Header h)
              throws FitsException

  Create an array from a header description. This is typically how data will be created when reading FITS data from a file where the header is read first. This creates an empty array.

Parameters:
  `h` - header to be used as a template.
Throws:
  `FitsException` - if there was a problem with the header description.

### ImageData

    public ImageData()

  Create the equivalent of a null data element.

### ImageData

    public ImageData(Object x)

  Create an ImageData object using the specified object to initialize the data array.

Parameters:
  `x` - The initial data array. This should be a primitive array but this is not checked currently.